<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigs: fwConfigConversion.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwConfigConversion_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigConversion.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a1ed31be9978ea1f01cf1c1751e39bd9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a1ed31be9978ea1f01cf1c1751e39bd9b">fwConfigConversion_setMany</a> (dyn_string &amp;dpes, dyn_int &amp;configType, dyn_int &amp;conversionType, dyn_int &amp;order, dyn_dyn_float &amp;arguments, dyn_string &amp;exceptionInfo, bool runDriverCheck=FALSE)</td></tr>
<tr class="separator:a1ed31be9978ea1f01cf1c1751e39bd9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a153184a766ec4cd429289806a9b36d11"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a153184a766ec4cd429289806a9b36d11">fwConfigConversion_setMultiple</a> (dyn_string dpes, int configType, int conversionType, int order, dyn_float arguments, dyn_string &amp;exceptionInfo, bool runDriverCheck=FALSE)</td></tr>
<tr class="separator:a153184a766ec4cd429289806a9b36d11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b015b25ab0dbfd510b2fe938426e8e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a2b015b25ab0dbfd510b2fe938426e8e7">fwConfigConversion_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int configType, int conversionType, int order, dyn_float arguments, dyn_string &amp;exceptionInfo, bool runDriverCheck=FALSE)</td></tr>
<tr class="separator:a2b015b25ab0dbfd510b2fe938426e8e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0859bb360a6f2d2e75e37040b640681"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#ab0859bb360a6f2d2e75e37040b640681">_fwConfigConversion_prepareSet</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int configType, int conversionType, int order, dyn_float arguments, dyn_string &amp;attributes, dyn_anytype &amp;values, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ab0859bb360a6f2d2e75e37040b640681"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6af2ad8b3679acb120d693ebba1ecb63"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a6af2ad8b3679acb120d693ebba1ecb63">fwConfigConversion_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;configExists, int configType, int &amp;conversionType, int &amp;order, dyn_float &amp;arguments, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a6af2ad8b3679acb120d693ebba1ecb63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17aa1a53b75854ff44e387a31feedc20"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a17aa1a53b75854ff44e387a31feedc20">fwConfigConversion_getMany</a> (dyn_string &amp;dpes, dyn_bool &amp;configExists, int configType, dyn_int &amp;conversionType, dyn_int &amp;order, dyn_dyn_float &amp;arguments, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a17aa1a53b75854ff44e387a31feedc20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4c3f0ab284f9c0d541faaa13d4a989d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#ad4c3f0ab284f9c0d541faaa13d4a989d">fwConfigConversion_deleteMultiple</a> (dyn_string dpes, int configType, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ad4c3f0ab284f9c0d541faaa13d4a989d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8bbd533d79d3063518b4825dda83f25"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#af8bbd533d79d3063518b4825dda83f25">fwConfigConversion_deleteMany</a> (dyn_string dpes, int configType, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:af8bbd533d79d3063518b4825dda83f25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89602abc44dc65c53c7476be182b04f1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a89602abc44dc65c53c7476be182b04f1">fwConfigConversion_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int configType, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a89602abc44dc65c53c7476be182b04f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a884b84203790f4e90514a8d0d6de3dfc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a884b84203790f4e90514a8d0d6de3dfc">fwMsgConv_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int conversionType, int order, dyn_float arguments, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a884b84203790f4e90514a8d0d6de3dfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19c2678ae7ea02dea3a5dc375faf4e9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a19c2678ae7ea02dea3a5dc375faf4e9b">fwMsgConv_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;doesExist, int &amp;conversionType, int &amp;order, dyn_float &amp;arguments, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a19c2678ae7ea02dea3a5dc375faf4e9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94cceab706844e1582e0a10b3c9da2b2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigConversion_8ctl.html#a94cceab706844e1582e0a10b3c9da2b2">fwMsgConv_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a94cceab706844e1582e0a10b3c9da2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Library to manage the Message Conversion and Command Conversion configs of PVSS.</p>
<dl class="section user"><dt>Creation Date</dt><dd>24/04/2002</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<p>12/08/2011 Marco Boccioli</p><ul>
<li>@sav{85462}: Functions *_setMany and *_getMany with parameters as reference.</li>
<li><p class="startli">@sav{85465}: Improved performance for <a class="el" href="fwConfigConversion_8ctl.html#a17aa1a53b75854ff44e387a31feedc20">fwConfigConversion_getMany()</a></p>
<p class="startli">15/01/2004 Oliver Holme (IT-CO)</p>
</li>
<li>Updated library to be consistent with other configs</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>Currently there can only be one conversion of each type per dpe (Message/Command). Only Polynomial, Base Curve and Invert conversion types are supported.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Manuel Gonzalez-Berges, Oliver Holme (IT-CO) from fwMsgConv.ctl by Herve Milcent, Niko Karlsson </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a1ed31be9978ea1f01cf1c1751e39bd9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ed31be9978ea1f01cf1c1751e39bd9b">&#9670;&nbsp;</a></span>fwConfigConversion_setMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_setMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_float &amp;&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runDriverCheck</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a conversion config for the given data point elements.</p>
<dl class="section user"><dt>Constraints</dt><dd>Currently there can only be one conversion of each type per dpe (Message/Command). Only Polynomial and Base Curve conversion types are supported.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
 Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">conversionType</td><td>DPDETAIL_CONV_POLY = polynomial conversion <br  />
 DPDETAIL_CONV_LIN_INT = base curve conversion <br  />
 DPDETAIL_CONV_INVERT = invert conversion (for boolean DPEs only) <br  />
 Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">order</td><td>order of polynomial (polynomial conversion) or number of supporting points (base curve conversion) Passed as reference only for performance reasons. Not modified.. </td></tr>
    <tr><td class="paramname">arguments</td><td>list of arguments <br  />
 For polynomials, arguments are the coefficients (number of arguments should equal order + 1) <br  />
 For base curve, the arguments give the points of the curve eg. {x1, y1, x2, y2}. (number of arguments should equal order * 2) <br  />
 Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
    <tr><td class="paramname">runDriverCheck</td><td>Optional parameter (default value = FALSE) - TRUE to check if driver is running before setting config, else FALSE <br  />
 The necessary driver number must be running in order to successfully create config </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a153184a766ec4cd429289806a9b36d11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a153184a766ec4cd429289806a9b36d11">&#9670;&nbsp;</a></span>fwConfigConversion_setMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_setMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runDriverCheck</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a conversion config for the given data point elements.</p>
<dl class="section user"><dt>Constraints</dt><dd>Currently there can only be one conversion of each type per dpe (Message/Command). Only Polynomial and Base Curve conversion types are supported.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">conversionType</td><td>DPDETAIL_CONV_POLY = polynomial conversion <br  />
 DPDETAIL_CONV_LIN_INT = base curve conversion <br  />
 DPDETAIL_CONV_INVERT = invert conversion (for boolean DPEs only) <br  />
</td></tr>
    <tr><td class="paramname">order</td><td>order of polynomial (polynomial conversion) or number of supporting points (base curve conversion) </td></tr>
    <tr><td class="paramname">arguments</td><td>list of arguments <br  />
 For polynomials, arguments are the coefficients (number of arguments should equal order + 1) <br  />
 For base curve, the arguments give the points of the curve eg. {x1, y1, x2, y2}. (number of arguments should equal order * 2) <br  />
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
    <tr><td class="paramname">runDriverCheck</td><td>Optional parameter (default value = FALSE) - TRUE to check if driver is running before setting config, else FALSE <br  />
 The necessary driver number must be running in order to successfully create config </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2b015b25ab0dbfd510b2fe938426e8e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b015b25ab0dbfd510b2fe938426e8e7">&#9670;&nbsp;</a></span>fwConfigConversion_set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runDriverCheck</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a conversion config for a given data point element.</p>
<dl class="section user"><dt>Constraints</dt><dd>Currently there can only be one conversion of each type per dpe (Message/Command). Only Polynomial and Base Curve conversion types are supported.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">conversionType</td><td>DPDETAIL_CONV_POLY = polynomial conversion <br  />
 DPDETAIL_CONV_LIN_INT = base curve conversion <br  />
 DPDETAIL_CONV_INVERT = invert conversion (for boolean DPEs only) <br  />
</td></tr>
    <tr><td class="paramname">order</td><td>order of polynomial (polynomial conversion) or number of supporting points (base curve conversion) </td></tr>
    <tr><td class="paramname">arguments</td><td>list of arguments <br  />
 For polynomials, arguments are the coefficients (number of arguments should equal order + 1) <br  />
 For base curve, the arguments give the points of the curve eg. {x1, y1, x2, y2}. (number of arguments should equal order * 2) <br  />
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
    <tr><td class="paramname">runDriverCheck</td><td>Optional parameter (default value = FALSE) - TRUE to check if driver is running before setting config, else FALSE <br  />
 The necessary driver number must be running in order to successfully create config </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab0859bb360a6f2d2e75e37040b640681"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0859bb360a6f2d2e75e37040b640681">&#9670;&nbsp;</a></span>_fwConfigConversion_prepareSet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwConfigConversion_prepareSet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>attributes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Prepares a list of attributes and a list of values to be used in a dpSetWait() call to set the config for the given dpe.</p>
<dl class="section user"><dt>Constraints</dt><dd>Currently there can only be one conversion of each type per dpe (Message/Command). Only Polynomial and Base Curve conversion types are supported.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">conversionType</td><td>DPDETAIL_CONV_POLY = polynomial conversion <br  />
 DPDETAIL_CONV_LIN_INT = base curve conversion <br  />
 DPDETAIL_CONV_INVERT = invert conversion (for boolean DPEs only) <br  />
</td></tr>
    <tr><td class="paramname">order</td><td>order of polynomial (polynomial conversion) or number of supporting points (base curve conversion) </td></tr>
    <tr><td class="paramname">arguments</td><td>list of arguments <br  />
 For polynomials, arguments are the coefficients (number of arguments should equal order + 1) <br  />
 For base curve, the arguments give the points of the curve eg. {x1, y1, x2, y2}. (number of arguments should equal order * 2) <br  />
</td></tr>
    <tr><td class="paramname">attributes</td><td>Output - the list of attributes that need to be set is returned here </td></tr>
    <tr><td class="paramname">values</td><td>Output - the list of values that need to be set is returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6af2ad8b3679acb120d693ebba1ecb63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6af2ad8b3679acb120d693ebba1ecb63">&#9670;&nbsp;</a></span>fwConfigConversion_get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the conversion config of a given data point element. The function checks that the relevant driver is running. If not it returns an exception saying the config could not be read.</p>
<dl class="section user"><dt>Constraints</dt><dd>Currently there can only be one conversion of each type per dpe (Message/Command). Only Polynomial and Base Curve conversion types are supported.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">configExists</td><td>returns TRUE if message conversion exists or FALSE if message conversion does not exist </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">conversionType</td><td>DPDETAIL_CONV_POLY = polynomial conversion <br  />
 DPDETAIL_CONV_LIN_INT = base curve conversion <br  />
 DPDETAIL_CONV_INVERT = invert conversion (for boolean DPEs only) <br  />
</td></tr>
    <tr><td class="paramname">order</td><td>returns degree of polynomial (polynomial conversion) or number of supporting points (base curve conversion) </td></tr>
    <tr><td class="paramname">arguments</td><td>returns the list of arguments <br  />
 For polynomials, arguments are the coefficients (number of arguments should equal order + 1) <br  />
 For base curve, the arguments give the points of the curve eg. {x1, y1, x2, y2}. (number of arguments should equal order * 2) <br  />
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a17aa1a53b75854ff44e387a31feedc20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17aa1a53b75854ff44e387a31feedc20">&#9670;&nbsp;</a></span>fwConfigConversion_getMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_getMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_float &amp;&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the conversion config of a given list of data point elements. The function checks that the relevant driver is running. If not it returns an exception saying the config could not be read.</p>
<dl class="section user"><dt>Constraints</dt><dd>Currently there can only be one conversion of each type per dpe (Message/Command). Only Polynomial and Base Curve conversion types are supported.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>data point elements. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">configExists</td><td>returns TRUE if message conversion exists or FALSE if message conversion does not exist </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">conversionType</td><td>DPDETAIL_CONV_POLY = polynomial conversion <br  />
 DPDETAIL_CONV_LIN_INT = base curve conversion <br  />
 DPDETAIL_CONV_INVERT = invert conversion (for boolean DPEs only) <br  />
</td></tr>
    <tr><td class="paramname">order</td><td>returns degree of polynomial (polynomial conversion) or number of supporting points (base curve conversion) </td></tr>
    <tr><td class="paramname">arguments</td><td>returns the list of arguments <br  />
 For polynomials, arguments are the coefficients (number of arguments should equal order + 1) <br  />
 For base curve, the arguments give the points of the curve eg. {x1, y1, x2, y2}. (number of arguments should equal order * 2) <br  />
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad4c3f0ab284f9c0d541faaa13d4a989d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4c3f0ab284f9c0d541faaa13d4a989d">&#9670;&nbsp;</a></span>fwConfigConversion_deleteMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_deleteMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the conversion config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af8bbd533d79d3063518b4825dda83f25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8bbd533d79d3063518b4825dda83f25">&#9670;&nbsp;</a></span>fwConfigConversion_deleteMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_deleteMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the conversion config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a89602abc44dc65c53c7476be182b04f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89602abc44dc65c53c7476be182b04f1">&#9670;&nbsp;</a></span>fwConfigConversion_delete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigConversion_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the conversion config for the given data point element</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">configType</td><td>DPCONFIG_CONVERSION_RAW_TO_ENG_MAIN = message conversion (raw value =&gt; engineering value) <br  />
 DPCONFIG_CONVERSION_ING_TO_RAW_MAIN = command conversion (engineering value =&gt; raw value) <br  />
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a884b84203790f4e90514a8d0d6de3dfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884b84203790f4e90514a8d0d6de3dfc">&#9670;&nbsp;</a></span>fwMsgConv_set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwMsgConv_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DEPRECATED - Function to set a message conversion config</p>
<p>For new function see fwConfigConversion_set </p>

</div>
</div>
<a id="a19c2678ae7ea02dea3a5dc375faf4e9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19c2678ae7ea02dea3a5dc375faf4e9b">&#9670;&nbsp;</a></span>fwMsgConv_get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwMsgConv_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>doesExist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>conversionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>arguments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DEPRECATED - Function to get a message conversion config</p>
<p>For new function see fwConfigConversion_get </p>

</div>
</div>
<a id="a94cceab706844e1582e0a10b3c9da2b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94cceab706844e1582e0a10b3c9da2b2">&#9670;&nbsp;</a></span>fwMsgConv_delete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwMsgConv_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DEPRECATED - Function to delete a message conversion config</p>
<p>For new function see fwConfigConversion_delete </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigConversion_8ctl.html">fwConfigConversion.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
